import { EventEmitter, OnInit } from '@angular/core';
import { NgSuperSelectService } from './ng-super-select.service';
import * as i0 from "@angular/core";
export declare class NgSuperSelectComponent implements OnInit {
    private ngSuperSelectService;
    placeholder: string;
    isSearchable: boolean;
    isMultiSelectable: boolean;
    optionArray: any[];
    bindName: string;
    bindValue: string;
    isDataObject: boolean;
    noOptionMessage: string;
    preSelectData: any;
    showDoneButton: boolean;
    disable: boolean;
    apiUrl: string;
    responseKey: string;
    delay: number;
    apiOnSearch: boolean;
    addNewRecordRequired: boolean;
    addNewRecordLabel: string;
    changeSuperSelect: EventEmitter<any>;
    addNewRecord: EventEmitter<any>;
    isAddNewRecordInprogress: boolean;
    isOptionShown: boolean;
    displayOptionArray: any[];
    selectedData: any;
    id: string;
    containerId: string;
    request: any;
    debounce: any;
    gettingNewData: boolean;
    lastApiKeyTerm: string;
    constructor(ngSuperSelectService: NgSuperSelectService);
    ngOnInit(): void;
    getOptions(isFirstTimeApiCall?: boolean): void;
    getDataFromResponse(response: any): any;
    dropDownClicked(): void;
    get getPlaceHolder(): string;
    getSearchedValue(): any;
    search(): void;
    getBindName(value: any): any;
    changeSelectedData(value: any): void;
    addDataInSelectedData(value: any): void;
    closeOption(): void;
    isDataSelected(value: any): any;
    optionClicked(value: any): void;
    clear(isClicked?: boolean): void;
    getSelectedDataName(value: any): any;
    canShowClearIcon(): any;
    getInputElement(): HTMLElement | null;
    removeValue(index: number): void;
    clickOutside(): void;
    isActiveElement(): boolean;
    focusOut(): void;
    getOptionContainerWidth(): {
        width: string;
    };
    emitAddNewRecord(): void;
    updateNewlyAddedRecord(value: any, array: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgSuperSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgSuperSelectComponent, "ng-super-select", never, { "placeholder": "placeholder"; "isSearchable": "isSearchable"; "isMultiSelectable": "isMultiSelectable"; "optionArray": "optionArray"; "bindName": "bindName"; "bindValue": "bindValue"; "isDataObject": "isDataObject"; "noOptionMessage": "noOptionMessage"; "preSelectData": "preSelectData"; "showDoneButton": "showDoneButton"; "disable": "disable"; "apiUrl": "apiUrl"; "responseKey": "responseKey"; "delay": "delay"; "apiOnSearch": "apiOnSearch"; "addNewRecordRequired": "addNewRecordRequired"; "addNewRecordLabel": "addNewRecordLabel"; }, { "changeSuperSelect": "changeSuperSelect"; "addNewRecord": "addNewRecord"; }, never, never>;
}
